# $Revision: 1.21 $, $Date: 2010/03/10 15:39:29 $

%define		module	pycups

Summary:	Set of Python bindings for the CUPS API
Summary(pl.UTF-8):	Zbiór wiązań Pythona do API CUPS-a
Name:		python-%{module}
Version:	1.9.49
Release:	1
License:	GPL
Group:		Development/Languages/Python
Source0:	http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
# Source0-md5:	6db9d8bc7f40315bc0b93f210737cc82
URL:		http://cyberelk.net/tim/software/pycups/
BuildRequires:	cups-devel >= 1.2.1
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pycups is a set of Python bindings for the CUPS API.

%description -l pl.UTF-8
pycups to zbiór wiązań Pythona do API CUPS-a.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="-DVERSION=\\\"%{version}\\\" %{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS ChangeLog
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pycups.spec,v $
Revision 1.21  2010/03/10 15:39:29  wiget
- 1.9.49

Revision 1.20  2009/03/14 15:05:43  duddits
- up to 1.9.45

Revision 1.19  2009/01/03 16:04:52  rotom
- up to 1.9.44

Revision 1.18  2008/10/04 09:52:19  rotom
- up to 1.9.42

Revision 1.17  2008/09/10 05:38:18  qboosh
- URL

Revision 1.16  2008/03/16 21:38:32  patrys
- 1.9.36

Revision 1.15  2007-11-17 14:47:47  twittner
- up to 1.9.29

Revision 1.14  2007-10-23 21:58:11  patrys
- 1.9.28
- patch no longer relevant

Revision 1.13  2007/06/11 16:37:07  qboosh
- non-executable egg-info

Revision 1.12  2007/06/08 21:28:03  wiget
- updated to 1.9.23
- added size_t patch (fix python 2.5 compatibility)

Revision 1.11  2007/05/23 18:51:18  patrys
- 1.9.22

Revision 1.10  2006/08/28 15:29:15  wiget
- rel 2 (rebuild with python 2.5)

Revision 1.9  2006/07/28 16:21:53  wiget
- updated to 1.9.12

Revision 1.8  2006/05/24 10:35:06  wiget
- updated to 1.9.10
- BR stable cups-devel

Revision 1.7  2006/04/22 21:00:10  wiget
- updated to 1.9.8
- BR cups-devel >= 1.2

Revision 1.6  2006/04/18 13:31:52  wiget
- updated to 1.9.7

Revision 1.5  2006/04/05 09:07:54  wiget
- updated to 1.9.6

Revision 1.4  2006/03/22 19:24:30  qboosh
- don't remove non-existing file

Revision 1.3  2006/03/22 18:32:23  qboosh
- pl

Revision 1.2  2006/03/22 15:36:55  spider
- up md5sum

Revision 1.1  2006/03/22 15:25:38  wiget
- new spec
